Subject: Re: `git patch-id --stable' vs quoted-printable

From: Eric Wong <[email-masked]>
Date: Mon, 22 Aug 2022 04:57:28 +0000

Junio C Hamano <[email-masked]> wrote:
> Junio C Hamano <[email-masked]> writes:
> 
> >> So, I'm wondering if the search indexing code of public-inbox
> >> should s/^$/ /mgs before feeding stuff to `git patch-id'; and/or
> >> if `git patch-id' should be assuming empty lines and lines with a
> >> single SP are the same...
> 
> Another potential source of issues (not for the patch from René that
> was used as an example) is that a patch producer can use different
> diff algorithm from the setting you would use to index resulting
> commits via "git show | git patch-id".
> 
>     $ git show -U5 | git patch-id
>     $ git show | git patch-id
> 
> likely result in different patch IDs.  
> 
> The --patience and the --histogram options affect how common lines
> are matched up, again affecting the shape of the patches you compute
> patch-ids over.

Yes, you're right; though I suppose most users use git defaults.
I'm not sure how useful patchid ends up being, actually...
The old use of dfpre/dfpost blob OIDs seems to have been working
well for years, already.

Possibly OR-ing them with patchid in Xapian will end up getting
good enough search engine coverage.